## org.eclipse.datatools.modelbase.sql.schema
Interface TypedElement

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  AttributeDefinition, Column, ElementType, Field, Parameter, Sequence, SybaseASABaseColumn, SybaseASABaseParameter, SybaseASEColumn, SybaseParameter

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl, JDBCColumn, JDBCParameter, MySqlCatalogColumn, org.eclipse.datatools.modelbase.sql.routines.impl.ParameterImpl, SybaseASABaseColumnImpl, SybaseASABaseParameterImpl, SybaseASACatalogBaseColumn, SybaseASECatalogColumn, SybaseASECatalogParameter, SybaseASEColumnImpl, SybaseParameterImpl, org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl

    public interface TypedElement

extends SQLObject

A representation of the model object 'Typed Element'. Reference: 5WD-02-Foundation-2002-12

The following features are supported:

- `Contained Type`
- `Referenced Type`

See Also:
  `SQLSchemaPackage.getTypedElement()`

Method Summary
`SQLDataType` `getContainedType()` Returns the value of the 'Contained Type' containment reference.
`DataType` `getDataType()` Get the type for this TypedElement
`UserDefinedType` `getReferencedType()` Returns the value of the 'Referenced Type' reference.
`void` `setContainedType(SQLDataType value)` Sets the value of the '`Contained Type`' containment reference.
`void` `setDataType(DataType newType)` Set the type for this TypedElement
`void` `setReferencedType(UserDefinedType value)` Sets the value of the '`Referenced Type`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContainedType

    SQLDataType getContainedType()

  Returns the value of the 'Contained Type' containment reference.

  If the meaning of the 'Contained Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contained Type' containment reference.
  See Also:
    `setContainedType(SQLDataType)`, `SQLSchemaPackage.getTypedElement_ContainedType()`

### setContainedType

    void setContainedType(SQLDataType value)

  Sets the value of the '`Contained Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Contained Type' containment reference.
  See Also:
    `getContainedType()`

### getReferencedType

    UserDefinedType getReferencedType()

  Returns the value of the 'Referenced Type' reference.

  If the meaning of the 'Referenced Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Type' reference.
  See Also:
    `setReferencedType(UserDefinedType)`, `SQLSchemaPackage.getTypedElement_ReferencedType()`

### setReferencedType

    void setReferencedType(UserDefinedType value)

  Sets the value of the '`Referenced Type`' reference.

  Parameters:
    `value` - the new value of the 'Referenced Type' reference.
  See Also:
    `getReferencedType()`

### setDataType

    void setDataType(DataType newType)

  Set the type for this TypedElement

### getDataType

    DataType getDataType()

  Get the type for this TypedElement